POST api/Dashboard/GetDashBoardPendingCovidReturnToWork/search
Request Information
URI Parameters
None.
Body Parameters
QueryParameter| Name | Description | Type | Additional information |
|---|---|---|---|
| PageNum | integer |
None. |
|
| PageSize | integer |
None. |
|
| Sort | Sort |
None. |
|
| Sorts | Collection of Sort |
None. |
|
| Filters | Collection of Filter |
None. |
|
| extends | Dictionary of string [key] and Object [value] |
None. |
Request Formats
application/json, text/json
Sample:
{
"PageNum": 1,
"PageSize": 2,
"Sort": {
"Field": "sample string 1",
"Dir": "sample string 2"
},
"Sorts": [
{
"Field": "sample string 1",
"Dir": "sample string 2"
},
{
"Field": "sample string 1",
"Dir": "sample string 2"
}
],
"Filters": [
{
"Field": "sample string 1",
"Operator": "sample string 2",
"Value": {},
"Logic": "sample string 4",
"Filters": []
},
{
"Field": "sample string 1",
"Operator": "sample string 2",
"Value": {},
"Logic": "sample string 4",
"Filters": []
}
],
"extends": {
"sample string 1": {},
"sample string 3": {}
}
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfListOfPendingCovidReturnToWorkDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of PendingCovidReturnToWorkDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"Id": 1,
"CaseNo": 2,
"CompanyName": "sample string 3",
"WLName": "sample string 4",
"ChiefComplain": "sample string 5",
"EmpName": "sample string 6",
"EmployeeId": "sample string 7",
"ScheduleDate": "2026-08-04T14:30:49.9016231-07:00",
"ScheduleEndTime": "00:00:00.1234567",
"ScheduleStartTime": "00:00:00.1234567",
"Scheduled": true,
"DateOfExposure": "2026-08-04T14:30:49.9016231-07:00",
"DateOfSymptomsBegan": "2026-08-04T14:30:49.9016231-07:00",
"TimeZone": "sample string 9",
"WorkStatus": "sample string 10",
"CorporationCode": "sample string 11",
"clinicalpathwayid": 12,
"ServiceType": "sample string 13",
"Employee_ID": "sample string 14",
"InteractionType": 1,
"CaseTypeId": 15,
"ComponentType": 16,
"ClinicalPathwayTypeName": "sample string 17",
"Action": 18,
"Attempts": 1,
"Note": "sample string 19",
"CallActivationId": 1,
"CallActivationName": "sample string 20",
"ClinicalPathwayTypeId": 16,
"EntityId": 1,
"ScheduleTimes": "00:00 - 08/04/2026 00:00",
"Sequence": 21,
"CallBackNumber": "sample string 22",
"ScheduleEndDate": "2026-08-04T14:30:49.9016231-07:00",
"UTCFOLDate": "2026-08-04T14:30:49.9016231-07:00",
"TimeZoneOffSet": "sample string 23",
"Assignee": "sample string 24",
"TaskAssignUserId": 1,
"Assigner": "sample string 25",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:30:49.9016231-07:00",
"DateUpdated": "2026-08-04T14:30:49.9016231-07:00",
"UserIDCreated": 29,
"UserIDUpdated": 30,
"CompanyCode": "sample string 31",
"IsExcludeDiscount": true
},
{
"Id": 1,
"CaseNo": 2,
"CompanyName": "sample string 3",
"WLName": "sample string 4",
"ChiefComplain": "sample string 5",
"EmpName": "sample string 6",
"EmployeeId": "sample string 7",
"ScheduleDate": "2026-08-04T14:30:49.9016231-07:00",
"ScheduleEndTime": "00:00:00.1234567",
"ScheduleStartTime": "00:00:00.1234567",
"Scheduled": true,
"DateOfExposure": "2026-08-04T14:30:49.9016231-07:00",
"DateOfSymptomsBegan": "2026-08-04T14:30:49.9016231-07:00",
"TimeZone": "sample string 9",
"WorkStatus": "sample string 10",
"CorporationCode": "sample string 11",
"clinicalpathwayid": 12,
"ServiceType": "sample string 13",
"Employee_ID": "sample string 14",
"InteractionType": 1,
"CaseTypeId": 15,
"ComponentType": 16,
"ClinicalPathwayTypeName": "sample string 17",
"Action": 18,
"Attempts": 1,
"Note": "sample string 19",
"CallActivationId": 1,
"CallActivationName": "sample string 20",
"ClinicalPathwayTypeId": 16,
"EntityId": 1,
"ScheduleTimes": "00:00 - 08/04/2026 00:00",
"Sequence": 21,
"CallBackNumber": "sample string 22",
"ScheduleEndDate": "2026-08-04T14:30:49.9016231-07:00",
"UTCFOLDate": "2026-08-04T14:30:49.9016231-07:00",
"TimeZoneOffSet": "sample string 23",
"Assignee": "sample string 24",
"TaskAssignUserId": 1,
"Assigner": "sample string 25",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:30:49.9016231-07:00",
"DateUpdated": "2026-08-04T14:30:49.9016231-07:00",
"UserIDCreated": 29,
"UserIDUpdated": 30,
"CompanyCode": "sample string 31",
"IsExcludeDiscount": true
}
],
"totalCount": 3
}